uuid: d9a6c7cc-0cbb-4baa-9dc7-146dae2a3fa9
langcode: en
status: true
dependencies:
  config:
    - core.entity_view_mode.node.teaser
    - field.field.node.ct_event.body
    - field.field.node.ct_event.field_city
    - field.field.node.ct_event.field_discover
    - field.field.node.ct_event.field_discover_teaser
    - field.field.node.ct_event.field_document
    - field.field.node.ct_event.field_event_date
    - field.field.node.ct_event.field_external_link
    - field.field.node.ct_event.field_featured_event
    - field.field.node.ct_event.field_header_image
    - field.field.node.ct_event.field_institution
    - field.field.node.ct_event.field_language
    - field.field.node.ct_event.field_location
    - field.field.node.ct_event.field_media_logo
    - field.field.node.ct_event.field_paragraph
    - field.field.node.ct_event.field_preview
    - field.field.node.ct_event.field_recent
    - field.field.node.ct_event.field_recent_date
    - field.field.node.ct_event.field_tax_countries
    - field.field.node.ct_event.field_tax_topics
    - field.field.node.ct_event.field_teaser_newsletter
    - node.type.ct_event
  module:
    - layout_builder
    - layout_builder_restrictions
    - mpidr_custom
    - text
    - user
third_party_settings:
  layout_builder:
    enabled: true
    allow_custom: false
    sections:
      -
        layout_id: mpidr_layout_one_two_right
        layout_settings:
          label: ''
          settings:
            background_color_allow: 0
            background_color: '#000000'
          uniqueId: false
          context_mapping: {  }
          headline:
            title: ''
            level: '2'
          level: null
        components:
          640d647f-31bb-407c-a7aa-6b852b232afc:
            uuid: 640d647f-31bb-407c-a7aa-6b852b232afc
            region: right
            configuration:
              id: 'field_block:node:ct_event:title'
              label: Title
              label_display: '0'
              provider: layout_builder
              context_mapping:
                entity: layout_builder.entity
                view_mode: view_mode
              formatter:
                type: string
                label: hidden
                settings:
                  link_to_entity: true
                third_party_settings: {  }
            weight: 1
            additional:
              layout_builder_styles_style: ''
          54be11e5-cc24-43d1-b505-e3e20e380628:
            uuid: 54be11e5-cc24-43d1-b505-e3e20e380628
            region: right
            configuration:
              id: 'field_block:node:ct_event:body'
              label: Body
              label_display: '0'
              provider: layout_builder
              context_mapping:
                entity: layout_builder.entity
                view_mode: view_mode
              formatter:
                type: text_summary_or_trimmed
                label: hidden
                settings:
                  trim_length: 160
                third_party_settings: {  }
            weight: 3
            additional:
              layout_builder_styles_style: ''
          93a598b0-371c-48c7-839d-5f8c1c4e629c:
            uuid: 93a598b0-371c-48c7-839d-5f8c1c4e629c
            region: left
            configuration:
              id: 'field_block:node:ct_event:field_preview'
              label: 'Preview image / Slideshow'
              label_display: '0'
              provider: layout_builder
              context_mapping:
                entity: layout_builder.entity
                view_mode: view_mode
              formatter:
                type: entity_reference_entity_view
                label: hidden
                settings:
                  view_mode: list
                third_party_settings: {  }
            weight: 1
            additional:
              layout_builder_styles_style: ''
          2ac7272d-0ff7-4d11-bc98-386c41f1cec2:
            uuid: 2ac7272d-0ff7-4d11-bc98-386c41f1cec2
            region: right
            configuration:
              id: 'field_block:node:ct_event:field_event_date'
              label: Date
              label_display: '0'
              provider: layout_builder
              context_mapping:
                entity: layout_builder.entity
                view_mode: view_mode
              formatter:
                type: daterange_custom
                label: hidden
                settings:
                  timezone_override: ''
                  date_format: 'D M j'
                  separator: '-'
                third_party_settings: {  }
            weight: 2
            additional:
              layout_builder_styles_style: ''
          05a3f823-68ef-446a-8fbd-0ab09c68765b:
            uuid: 05a3f823-68ef-446a-8fbd-0ab09c68765b
            region: right
            configuration:
              id: 'field_block:node:ct_event:field_teaser_newsletter'
              label: 'Teaser Newsletter'
              label_display: '0'
              provider: layout_builder
              context_mapping:
                entity: layout_builder.entity
                view_mode: view_mode
              formatter:
                type: text_default
                label: hidden
                settings: {  }
                third_party_settings: {  }
            weight: 4
            additional:
              layout_builder_styles_style:
                - ''
        third_party_settings: {  }
  layout_builder_restrictions:
    allowed_block_categories: {  }
    entity_view_mode_restriction:
      allowed_layouts: {  }
      denylisted_blocks: {  }
      allowlisted_blocks: {  }
    entity_view_mode_restriction_by_region:
      allowed_layouts: {  }
      allowlisted_blocks: null
      denylisted_blocks: null
id: node.ct_event.teaser
targetEntityType: node
bundle: ct_event
mode: teaser
content:
  body:
    type: text_summary_or_trimmed
    label: hidden
    settings:
      trim_length: 600
    third_party_settings: {  }
    weight: 101
    region: content
  links:
    settings: {  }
    third_party_settings: {  }
    weight: 100
    region: content
  open_in_modal:
    settings: {  }
    third_party_settings: {  }
    weight: 100
    region: content
hidden:
  field_city: true
  field_discover: true
  field_discover_teaser: true
  field_document: true
  field_event_date: true
  field_external_link: true
  field_featured_event: true
  field_header_image: true
  field_institution: true
  field_language: true
  field_location: true
  field_media_logo: true
  field_paragraph: true
  field_preview: true
  field_recent: true
  field_recent_date: true
  field_tax_countries: true
  field_tax_topics: true
  field_teaser_newsletter: true
  langcode: true
